Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.transport.bio
Class BioReceiver

    java.lang.Object
      org.apache.catalina.tribes.transport.ReceiverBase
          org.apache.catalina.tribes.transport.bio.BioReceiver

All Implemented Interfaces:
  Runnable, ChannelReceiver, Heartbeat, ListenCallback, RxTaskPool.TaskCreator

    public class BioReceiver

extends ReceiverBase
implements Runnable

Version:
  $Id: BioReceiver.java 1059560 2011-01-16 13:54:28Z markt $
Author:
  Filip Hanik

Field Summary
`protected ServerSocket` | `serverSocket`

Fields inherited from class org.apache.catalina.tribes.transport.ReceiverBase
`OPTION_DIRECT_BUFFER`

Fields inherited from interface org.apache.catalina.tribes.ChannelReceiver
`MAX_UDP_SIZE`

Constructor Summary
`BioReceiver()`

Method Summary
`protected void` | `bind()`
`AbstractRxTask` | `createRxTask()`
`protected BioReplicationTask` | `getReplicationThread()`
`void` | `listen()`
`void` | `run()`
`void` | `start()` Start listening for incoming messages on the host/port
`void` | `stop()` Stop listening for messages

Methods inherited from class org.apache.catalina.tribes.transport.ReceiverBase
`bind, bindUdp, doListen, getAddress, getAutoBind, getBind, getDirect, getExecutor, getHost, getListener, getMaxIdleTime, getMaxTasks, getMaxThreads, getMessageListener, getMinTasks, getMinThreads, getOoBInline, getPort, getRxBufSize, getSecurePort, getSelectorTimeout, getSoKeepAlive, getSoLingerOn, getSoLingerTime, getSoReuseAddress, getSoTrafficClass, getTaskPool, getTcpListenAddress, getTcpListenPort, getTcpNoDelay, getTcpSelectorTimeout, getTcpThreadCount, getTimeout, getTxBufSize, getUdpPort, getUdpRxBufSize, getUdpTxBufSize, getUseBufferPool, getWorkerThreadOptions, heartbeat, isDaemon, isListening, messageDataReceived, setAddress, setAutoBind, setBind, setDaemon, setDirect, setExecutor, setHost, setListen, setListener, setMaxIdleTime, setMaxTasks, setMaxThreads, setMessageListener, setMinTasks, setMinThreads, setOoBInline, setPool, setPort, setRxBufSize, setSecurePort, setSelectorTimeout, setSoKeepAlive, setSoLingerOn, setSoLingerTime, setSoReuseAddress, setSoTrafficClass, setTcpListenAddress, setTcpListenPort, setTcpNoDelay, setTcpSelectorTimeout, setTcpThreadCount, setTimeout, setTxBufSize, setUdpPort, setUdpRxBufSize, setUdpTxBufSize, setUseBufferPool`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serverSocket

    protected ServerSocket serverSocket

Constructor Detail

### BioReceiver

    public BioReceiver()

Method Detail

### start

    public void start()
               throws IOException

  Description copied from interface: `ChannelReceiver`
  Start listening for incoming messages on the host/port

  Specified by:
    `start` in interface `ChannelReceiver`
  Overrides:
    `start` in class `ReceiverBase`
  Throws:
    `IOException`

### createRxTask

    public AbstractRxTask createRxTask()

  Specified by:
    `createRxTask` in interface `RxTaskPool.TaskCreator`

### getReplicationThread

    protected BioReplicationTask getReplicationThread()

### stop

    public void stop()

  Description copied from interface: `ChannelReceiver`
  Stop listening for messages

  Specified by:
    `stop` in interface `ChannelReceiver`
  Overrides:
    `stop` in class `ReceiverBase`

### bind

    protected void bind()
                 throws IOException

  Throws:
    `IOException`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### listen

    public void listen()
                throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.